searchNodes=[{"doc":"API client metadata for GoogleApi.AnalyticsData.V1alpha.","ref":"GoogleApi.AnalyticsData.V1alpha.html","title":"GoogleApi.AnalyticsData.V1alpha","type":"module"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.html#discovery_revision/0","title":"GoogleApi.AnalyticsData.V1alpha.discovery_revision/0","type":"function"},{"doc":"API calls for all endpoints tagged Properties.","ref":"GoogleApi.AnalyticsData.V1alpha.Api.Properties.html","title":"GoogleApi.AnalyticsData.V1alpha.Api.Properties","type":"module"},{"doc":"Returns metadata for dimensions and metrics available in reporting methods. Used to explore the dimensions and metrics. In this method, a Google Analytics GA4 Property Identifier is specified in the request, and the metadata response includes Custom dimensions and metrics as well as Universal metadata. For example if a custom metric with parameter name levels_unlocked is registered to a property, the Metadata response will contain customEvent:levels_unlocked. Universal metadata are dimensions and metrics applicable to any property such as country and totalUsers.Parameters connection (type: GoogleApi.AnalyticsData.V1alpha.Connection.t) - Connection to server name (type: String.t) - Required. The resource name of the metadata to retrieve. This name field is specified in the URL path and not URL parameters. Property is a numeric Google Analytics GA4 Property identifier. To learn more, see where to find your Property ID. Example: properties/1234/metadata Set the Property ID to 0 for dimensions and metrics common to all properties. In this special mode, this method will not return custom dimensions and metrics. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.AnalyticsData.V1alpha.Model.Metadata{}} on success {:error, info} on failure","ref":"GoogleApi.AnalyticsData.V1alpha.Api.Properties.html#analyticsdata_properties_get_metadata/4","title":"GoogleApi.AnalyticsData.V1alpha.Api.Properties.analyticsdata_properties_get_metadata/4","type":"function"},{"doc":"The Google Analytics Realtime API returns a customized report of realtime event data for your property. These reports show events and usage from the last 30 minutes.Parameters connection (type: GoogleApi.AnalyticsData.V1alpha.Connection.t) - Connection to server property (type: String.t) - A Google Analytics GA4 property identifier whose events are tracked. Specified in the URL path and not the body. To learn more, see where to find your Property ID. Example: properties/1234 optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportResponse{}} on success {:error, info} on failure","ref":"GoogleApi.AnalyticsData.V1alpha.Api.Properties.html#analyticsdata_properties_run_realtime_report/4","title":"GoogleApi.AnalyticsData.V1alpha.Api.Properties.analyticsdata_properties_run_realtime_report/4","type":"function"},{"doc":"API calls for all endpoints tagged V1alpha.","ref":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.html","title":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha","type":"module"},{"doc":"Returns multiple pivot reports in a batch. All reports must be for the same Entity.Parameters connection (type: GoogleApi.AnalyticsData.V1alpha.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.html#analyticsdata_batch_run_pivot_reports/3","title":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.analyticsdata_batch_run_pivot_reports/3","type":"function"},{"doc":"Returns multiple reports in a batch. All reports must be for the same Entity.Parameters connection (type: GoogleApi.AnalyticsData.V1alpha.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.html#analyticsdata_batch_run_reports/3","title":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.analyticsdata_batch_run_reports/3","type":"function"},{"doc":"Returns a customized pivot report of your Google Analytics event data. Pivot reports are more advanced and expressive formats than regular reports. In a pivot report, dimensions are only visible if they are included in a pivot. Multiple pivots can be specified to further dissect your data.Parameters connection (type: GoogleApi.AnalyticsData.V1alpha.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportResponse{}} on success {:error, info} on failure","ref":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.html#analyticsdata_run_pivot_report/3","title":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.analyticsdata_run_pivot_report/3","type":"function"},{"doc":"Returns a customized report of your Google Analytics event data. Reports contain statistics derived from data collected by the Google Analytics tracking code. The data returned from the API is as a table with columns for the requested dimensions and metrics. Metrics are individual measurements of user activity on your property, such as active users or event count. Dimensions break down metrics across some common criteria, such as country or event name.Parameters connection (type: GoogleApi.AnalyticsData.V1alpha.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.AnalyticsData.V1alpha.Model.RunReportRequest.t) - opts (type: keyword()) - Call optionsReturns {:ok, %GoogleApi.AnalyticsData.V1alpha.Model.RunReportResponse{}} on success {:error, info} on failure","ref":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.html#analyticsdata_run_report/3","title":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.analyticsdata_run_report/3","type":"function"},{"doc":"Handle Tesla connections for GoogleApi.AnalyticsData.V1alpha.","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html","title":"GoogleApi.AnalyticsData.V1alpha.Connection","type":"module"},{"doc":"Perform a DELETE request.See request/1 or request/2 for options definition.delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#delete/3","title":"GoogleApi.AnalyticsData.V1alpha.Connection.delete/3","type":"function"},{"doc":"Perform a DELETE request.See request!/1 or request!/2 for options definition.delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#delete!/3","title":"GoogleApi.AnalyticsData.V1alpha.Connection.delete!/3","type":"function"},{"doc":"Execute a request on this connectionReturns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#execute/2","title":"GoogleApi.AnalyticsData.V1alpha.Connection.execute/2","type":"function"},{"doc":"Perform a GET request.See request/1 or request/2 for options definition.get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#get/3","title":"GoogleApi.AnalyticsData.V1alpha.Connection.get/3","type":"function"},{"doc":"Perform a GET request.See request!/1 or request!/2 for options definition.get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#get!/3","title":"GoogleApi.AnalyticsData.V1alpha.Connection.get!/3","type":"function"},{"doc":"Perform a HEAD request.See request/1 or request/2 for options definition.head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#head/3","title":"GoogleApi.AnalyticsData.V1alpha.Connection.head/3","type":"function"},{"doc":"Perform a HEAD request.See request!/1 or request!/2 for options definition.head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#head!/3","title":"GoogleApi.AnalyticsData.V1alpha.Connection.head!/3","type":"function"},{"doc":"Configure an authless client connectionReturns Tesla.Env.client","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#new/0","title":"GoogleApi.AnalyticsData.V1alpha.Connection.new/0","type":"function"},{"doc":"Configure a client connection using a function which yields a Bearer token.Parameters token_fetcher (type: list(String.t()) -&gt; String.t()) - Callback which provides an OAuth2 token given a list of scopesReturns Tesla.Env.client","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#new/1","title":"GoogleApi.AnalyticsData.V1alpha.Connection.new/1","type":"function"},{"doc":"Perform a OPTIONS request.See request/1 or request/2 for options definition.options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#options/3","title":"GoogleApi.AnalyticsData.V1alpha.Connection.options/3","type":"function"},{"doc":"Perform a OPTIONS request.See request!/1 or request!/2 for options definition.options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#options!/3","title":"GoogleApi.AnalyticsData.V1alpha.Connection.options!/3","type":"function"},{"doc":"Perform a PATCH request.See request/1 or request/2 for options definition.patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#patch/4","title":"GoogleApi.AnalyticsData.V1alpha.Connection.patch/4","type":"function"},{"doc":"Perform a PATCH request.See request!/1 or request!/2 for options definition.patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#patch!/4","title":"GoogleApi.AnalyticsData.V1alpha.Connection.patch!/4","type":"function"},{"doc":"Perform a POST request.See request/1 or request/2 for options definition.post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#post/4","title":"GoogleApi.AnalyticsData.V1alpha.Connection.post/4","type":"function"},{"doc":"Perform a POST request.See request!/1 or request!/2 for options definition.post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#post!/4","title":"GoogleApi.AnalyticsData.V1alpha.Connection.post!/4","type":"function"},{"doc":"Perform a PUT request.See request/1 or request/2 for options definition.put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#put/4","title":"GoogleApi.AnalyticsData.V1alpha.Connection.put/4","type":"function"},{"doc":"Perform a PUT request.See request!/1 or request!/2 for options definition.put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#put!/4","title":"GoogleApi.AnalyticsData.V1alpha.Connection.put!/4","type":"function"},{"doc":"Perform a request.Options:method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch]:url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl:query - a keyword list of query params, e.g. [page: 1, per_page: 100]:headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}]:body - depends on used middleware:by default it can be a binaryif using e.g. JSON encoding middleware it can be a nested mapif adapter supports it it can be a Stream with any of the above:opts - custom, per-request middleware or adapter optionsExamplesExampleApi.request(method: :get, url: &quot;/users/path&quot;) # use shortcut methods ExampleApi.get(&quot;/users/1&quot;) ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#request/2","title":"GoogleApi.AnalyticsData.V1alpha.Connection.request/2","type":"function"},{"doc":"Perform request and raise in case of error.This is similar to request/2 behaviour from Tesla 0.xSee request/2 for list of available options.","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#request!/2","title":"GoogleApi.AnalyticsData.V1alpha.Connection.request!/2","type":"function"},{"doc":"Perform a TRACE request.See request/1 or request/2 for options definition.trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#trace/3","title":"GoogleApi.AnalyticsData.V1alpha.Connection.trace/3","type":"function"},{"doc":"Perform a TRACE request.See request!/1 or request!/2 for options definition.trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#trace!/3","title":"GoogleApi.AnalyticsData.V1alpha.Connection.trace!/3","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#t:option/0","title":"GoogleApi.AnalyticsData.V1alpha.Connection.option/0","type":"type"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Connection.t/0","type":"type"},{"doc":"The batch request containing multiple pivot report requests.Attributes entity (type: GoogleApi.AnalyticsData.V1alpha.Model.Entity.t, default: nil) - A property whose events are tracked. This entity must be specified for the batch. The entity within RunPivotReportRequest may either be unspecified or consistent with this entity. requests (type: list(GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportRequest.t), default: nil) - Individual requests. Each request has a separate pivot report response. Each batch request is allowed up to 5 requests.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsRequest.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsRequest.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsRequest.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsRequest.t/0","type":"type"},{"doc":"The batch response containing multiple pivot reports.Attributes pivotReports (type: list(GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportResponse.t), default: nil) - Individual responses. Each response has a separate pivot report request.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsResponse.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsResponse.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsResponse.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsResponse.t/0","type":"type"},{"doc":"The batch request containing multiple report requests.Attributes entity (type: GoogleApi.AnalyticsData.V1alpha.Model.Entity.t, default: nil) - A property whose events are tracked. This entity must be specified for the batch. The entity within RunReportRequest may either be unspecified or consistent with this entity. requests (type: list(GoogleApi.AnalyticsData.V1alpha.Model.RunReportRequest.t), default: nil) - Individual requests. Each request has a separate report response. Each batch request is allowed up to 5 requests.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsRequest.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsRequest.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsRequest.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsRequest.t/0","type":"type"},{"doc":"The batch response containing multiple reports.Attributes reports (type: list(GoogleApi.AnalyticsData.V1alpha.Model.RunReportResponse.t), default: nil) - Individual responses. Each response has a separate report request.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsResponse.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsResponse.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsResponse.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsResponse.t/0","type":"type"},{"doc":"To express that the result needs to be between two numbers (inclusive).Attributes fromValue (type: GoogleApi.AnalyticsData.V1alpha.Model.NumericValue.t, default: nil) - Begins with this number. toValue (type: GoogleApi.AnalyticsData.V1alpha.Model.NumericValue.t, default: nil) - Ends with this number.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BetweenFilter.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.BetweenFilter","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BetweenFilter.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.BetweenFilter.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BetweenFilter.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.BetweenFilter.t/0","type":"type"},{"doc":"Used to convert a dimension value to a single case.Attributes dimensionName (type: String.t, default: nil) - Name of a dimension. The name must refer back to a name in dimensions field of the request.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CaseExpression.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.CaseExpression","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CaseExpression.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.CaseExpression.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CaseExpression.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.CaseExpression.t/0","type":"type"},{"doc":"Defines a cohort. A cohort is a group of users who share a common characteristic. For example, all users with the same acquisition date belong to the same cohort.Attributes dateRange (type: GoogleApi.AnalyticsData.V1alpha.Model.DateRange.t, default: nil) - The cohort selects users whose first visit date is between start date and end date defined in the dateRange. In a cohort request, this dateRange is required and the dateRanges in the RunReportRequest or RunPivotReportRequest must be unspecified. The date range should be aligned with the cohort's granularity. If CohortsRange uses daily granularity, the date range can be aligned to any day. If CohortsRange uses weekly granularity, the date range should be aligned to the week boundary, starting at Sunday and ending Saturday. If CohortsRange uses monthly granularity, the date range should be aligned to the month, starting at the first and ending on the last day of the month. dimension (type: String.t, default: nil) - The dimension used by cohort. Only supports firstTouchDate for retention report. name (type: String.t, default: nil) - Assigns a name to this cohort. The dimension cohort is valued to this name in a report response. If set, cannot begin with cohort_ or RESERVED_. If not set, cohorts are named by their zero based index cohort_0, cohort_1, etc.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Cohort.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.Cohort","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Cohort.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.Cohort.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Cohort.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.Cohort.t/0","type":"type"},{"doc":"Settings of a cohort report.Attributes accumulate (type: boolean(), default: nil) - If true, accumulates the result from first visit day to the end day. Not supported in RunReportRequest.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortReportSettings.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.CohortReportSettings","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortReportSettings.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.CohortReportSettings.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortReportSettings.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.CohortReportSettings.t/0","type":"type"},{"doc":"Specification for a cohort report.Attributes cohortReportSettings (type: GoogleApi.AnalyticsData.V1alpha.Model.CohortReportSettings.t, default: nil) - Settings of a cohort report. cohorts (type: list(GoogleApi.AnalyticsData.V1alpha.Model.Cohort.t), default: nil) - The definition for the cohorts. cohortsRange (type: GoogleApi.AnalyticsData.V1alpha.Model.CohortsRange.t, default: nil) - The data ranges of cohorts.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortSpec.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.CohortSpec","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortSpec.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.CohortSpec.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortSpec.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.CohortSpec.t/0","type":"type"},{"doc":"Describes date range for a cohort report.Attributes endOffset (type: integer(), default: nil) - For daily cohorts, this will be the end day offset. For weekly cohorts, this will be the week offset. granularity (type: String.t, default: nil) - Reporting date range for each cohort is calculated based on these three fields. startOffset (type: integer(), default: nil) - For daily cohorts, this will be the start day offset. For weekly cohorts, this will be the week offset.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortsRange.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.CohortsRange","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortsRange.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.CohortsRange.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortsRange.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.CohortsRange.t/0","type":"type"},{"doc":"Used to combine dimension values to a single dimension.Attributes delimiter (type: String.t, default: nil) - The delimiter placed between dimension names. Delimiters are often single characters such as &quot;|&quot; or &quot;,&quot; but can be longer strings. If a dimension value contains the delimiter, both will be present in response with no distinction. For example if dimension 1 value = &quot;US,FR&quot;, dimension 2 value = &quot;JP&quot;, and delimiter = &quot;,&quot;, then the response will contain &quot;US,FR,JP&quot;. dimensionNames (type: list(String.t), default: nil) - Names of dimensions. The names must refer back to names in the dimensions field of the request.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.ConcatenateExpression.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.ConcatenateExpression","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.ConcatenateExpression.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.ConcatenateExpression.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.ConcatenateExpression.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.ConcatenateExpression.t/0","type":"type"},{"doc":"A contiguous set of days: startDate, startDate + 1, ..., endDate. Requests are allowed up to 4 date ranges.Attributes endDate (type: String.t, default: nil) - The inclusive end date for the query in the format YYYY-MM-DD. Cannot be before start_date. The format NdaysAgo, yesterday, or today is also accepted, and in that case, the date is inferred based on the property's reporting time zone. name (type: String.t, default: nil) - Assigns a name to this date range. The dimension dateRange is valued to this name in a report response. If set, cannot begin with date_range_ or RESERVED_. If not set, date ranges are named by their zero based index in the request: date_range_0, date_range_1, etc. startDate (type: String.t, default: nil) - The inclusive start date for the query in the format YYYY-MM-DD. Cannot be after end_date. The format NdaysAgo, yesterday, or today is also accepted, and in that case, the date is inferred based on the property's reporting time zone.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DateRange.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.DateRange","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DateRange.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.DateRange.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DateRange.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.DateRange.t/0","type":"type"},{"doc":"Dimensions are attributes of your data. For example, the dimension city indicates the city from which an event originates. Dimension values in report responses are strings; for example, city could be &quot;Paris&quot; or &quot;New York&quot;. Requests are allowed up to 8 dimensions.Attributes dimensionExpression (type: GoogleApi.AnalyticsData.V1alpha.Model.DimensionExpression.t, default: nil) - One dimension can be the result of an expression of multiple dimensions. For example, dimension &quot;country, city&quot;: concatenate(country, &quot;, &quot;, city). name (type: String.t, default: nil) - The name of the dimension. See the API Dimensions for the list of dimension names. If dimensionExpression is specified, name can be any string that you would like. For example if a dimensionExpression concatenates country and city, you could call that dimension countryAndCity. Dimensions are referenced by name in dimensionFilter, orderBys, dimensionExpression, and pivots.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Dimension.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.Dimension","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Dimension.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.Dimension.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Dimension.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.Dimension.t/0","type":"type"},{"doc":"Used to express a dimension which is the result of a formula of multiple dimensions. Example usages: 1) lower_case(dimension) 2) concatenate(dimension1, symbol, dimension2).Attributes concatenate (type: GoogleApi.AnalyticsData.V1alpha.Model.ConcatenateExpression.t, default: nil) - Used to combine dimension values to a single dimension. For example, dimension &quot;country, city&quot;: concatenate(country, &quot;, &quot;, city). lowerCase (type: GoogleApi.AnalyticsData.V1alpha.Model.CaseExpression.t, default: nil) - Used to convert a dimension value to lower case. upperCase (type: GoogleApi.AnalyticsData.V1alpha.Model.CaseExpression.t, default: nil) - Used to convert a dimension value to upper case.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionExpression.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionExpression","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionExpression.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionExpression.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionExpression.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionExpression.t/0","type":"type"},{"doc":"Describes a dimension column in the report. Dimensions requested in a report produce column entries within rows and DimensionHeaders. However, dimensions used exclusively within filters or expressions do not produce columns in a report; correspondingly, those dimensions do not produce headers.Attributes name (type: String.t, default: nil) - The dimension's name.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionHeader.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionHeader","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionHeader.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionHeader.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionHeader.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionHeader.t/0","type":"type"},{"doc":"Explains a dimension.Attributes apiName (type: String.t, default: nil) - This dimension's name. Useable in Dimension's name. For example, eventName. deprecatedApiNames (type: list(String.t), default: nil) - Still usable but deprecated names for this dimension. If populated, this dimension is available by either apiName or one of deprecatedApiNames for a period of time. After the deprecation period, the dimension will be available only by apiName. description (type: String.t, default: nil) - Description of how this dimension is used and calculated. uiName (type: String.t, default: nil) - This dimension's name within the Google Analytics user interface. For example, Event name.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionMetadata.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionMetadata","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionMetadata.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionMetadata.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionMetadata.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionMetadata.t/0","type":"type"},{"doc":"Sorts by dimension values.Attributes dimensionName (type: String.t, default: nil) - A dimension name in the request to order by. orderType (type: String.t, default: nil) - Controls the rule for dimension value ordering.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionOrderBy.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionOrderBy","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionOrderBy.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionOrderBy.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionOrderBy.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionOrderBy.t/0","type":"type"},{"doc":"The value of a dimension.Attributes value (type: String.t, default: nil) - Value as a string if the dimension type is a string.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionValue.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionValue","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionValue.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionValue.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionValue.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionValue.t/0","type":"type"},{"doc":"The unique identifier of the property whose events are tracked.Attributes propertyId (type: String.t, default: nil) - A Google Analytics GA4 property id. To learn more, see where to find your Property ID.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Entity.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.Entity","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Entity.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.Entity.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Entity.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.Entity.t/0","type":"type"},{"doc":"An expression to filter dimension or metric values.Attributes betweenFilter (type: GoogleApi.AnalyticsData.V1alpha.Model.BetweenFilter.t, default: nil) - A filter for two values. fieldName (type: String.t, default: nil) - The dimension name or metric name. Must be a name defined in dimensions or metrics. inListFilter (type: GoogleApi.AnalyticsData.V1alpha.Model.InListFilter.t, default: nil) - A filter for in list values. nullFilter (type: boolean(), default: nil) - A filter for null values. If True, a null dimension value is matched by this filter. Null filter is commonly used inside a NOT filter expression. For example, a NOT expression of a null filter removes rows when a dimension is null. numericFilter (type: GoogleApi.AnalyticsData.V1alpha.Model.NumericFilter.t, default: nil) - A filter for numeric or date values. stringFilter (type: GoogleApi.AnalyticsData.V1alpha.Model.StringFilter.t, default: nil) - Strings related filter.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Filter.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.Filter","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Filter.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.Filter.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Filter.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.Filter.t/0","type":"type"},{"doc":"To express dimension or metric filters. The fields in the same FilterExpression need to be either all dimensions or all metrics.Attributes andGroup (type: GoogleApi.AnalyticsData.V1alpha.Model.FilterExpressionList.t, default: nil) - The FilterExpressions in and_group have an AND relationship. filter (type: GoogleApi.AnalyticsData.V1alpha.Model.Filter.t, default: nil) - A primitive filter. All fields in filter in same FilterExpression needs to be either all dimensions or metrics. notExpression (type: GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.t, default: nil) - The FilterExpression is NOT of not_expression. orGroup (type: GoogleApi.AnalyticsData.V1alpha.Model.FilterExpressionList.t, default: nil) - The FilterExpressions in or_group have an OR relationship.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.t/0","type":"type"},{"doc":"A list of filter expressions.Attributes expressions (type: list(GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.t), default: nil) - A list of filter expressions.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpressionList.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpressionList","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpressionList.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpressionList.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpressionList.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpressionList.t/0","type":"type"},{"doc":"The result needs to be in a list of string values.Attributes caseSensitive (type: boolean(), default: nil) - If true, the string value is case sensitive. values (type: list(String.t), default: nil) - The list of string values. Must be non-empty.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.InListFilter.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.InListFilter","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.InListFilter.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.InListFilter.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.InListFilter.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.InListFilter.t/0","type":"type"},{"doc":"The dimensions and metrics currently accepted in reporting methods.Attributes dimensions (type: list(GoogleApi.AnalyticsData.V1alpha.Model.DimensionMetadata.t), default: nil) - The dimension descriptions. metrics (type: list(GoogleApi.AnalyticsData.V1alpha.Model.MetricMetadata.t), default: nil) - The metric descriptions. name (type: String.t, default: nil) - Resource name of this metadata.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Metadata.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.Metadata","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Metadata.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.Metadata.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Metadata.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.Metadata.t/0","type":"type"},{"doc":"The quantitative measurements of a report. For example, the metric eventCount is the total number of events. Requests are allowed up to 10 metrics.Attributes expression (type: String.t, default: nil) - A mathematical expression for derived metrics. For example, the metric Event count per user is eventCount/totalUsers. invisible (type: boolean(), default: nil) - Indicates if a metric is invisible in the report response. If a metric is invisible, the metric will not produce a column in the response, but can be used in metricFilter, orderBys, or a metric expression. name (type: String.t, default: nil) - The name of the metric. See the API Metrics for the list of metric names. If expression is specified, name can be any string that you would like. For example if expression is screenPageViews/sessions, you could call that metric's name = viewsPerSession. Metrics are referenced by name in metricFilter, orderBys, and metric expression.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Metric.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.Metric","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Metric.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.Metric.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Metric.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.Metric.t/0","type":"type"},{"doc":"Describes a metric column in the report. Visible metrics requested in a report produce column entries within rows and MetricHeaders. However, metrics used exclusively within filters or expressions do not produce columns in a report; correspondingly, those metrics do not produce headers.Attributes name (type: String.t, default: nil) - The metric's name. type (type: String.t, default: nil) - The metric's data type.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricHeader.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricHeader","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricHeader.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricHeader.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricHeader.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricHeader.t/0","type":"type"},{"doc":"Explains a metric.Attributes apiName (type: String.t, default: nil) - A metric name. Useable in Metric's name. For example, eventCount. deprecatedApiNames (type: list(String.t), default: nil) - Still usable but deprecated names for this metric. If populated, this metric is available by either apiName or one of deprecatedApiNames for a period of time. After the deprecation period, the metric will be available only by apiName. description (type: String.t, default: nil) - Description of how this metric is used and calculated. expression (type: String.t, default: nil) - The mathematical expression for this derived metric. Can be used in Metric's expression field for equivalent reports. Most metrics are not expressions, and for non-expressions, this field is empty. type (type: String.t, default: nil) - The type of this metric. uiName (type: String.t, default: nil) - This metric's name within the Google Analytics user interface. For example, Event count.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricMetadata.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricMetadata","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricMetadata.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricMetadata.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricMetadata.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricMetadata.t/0","type":"type"},{"doc":"Sorts by metric values.Attributes metricName (type: String.t, default: nil) - A metric name in the request to order by.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricOrderBy.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricOrderBy","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricOrderBy.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricOrderBy.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricOrderBy.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricOrderBy.t/0","type":"type"},{"doc":"The value of a metric.Attributes value (type: String.t, default: nil) - Measurement value. See MetricHeader for type.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricValue.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricValue","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricValue.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricValue.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricValue.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricValue.t/0","type":"type"},{"doc":"Filters for numeric or date values.Attributes operation (type: String.t, default: nil) - The operation type for this filter. value (type: GoogleApi.AnalyticsData.V1alpha.Model.NumericValue.t, default: nil) - A numeric value or a date value.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.NumericFilter.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.NumericFilter","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.NumericFilter.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.NumericFilter.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.NumericFilter.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.NumericFilter.t/0","type":"type"},{"doc":"To represent a number.Attributes doubleValue (type: float(), default: nil) - Double value int64Value (type: String.t, default: nil) - Integer value","ref":"GoogleApi.AnalyticsData.V1alpha.Model.NumericValue.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.NumericValue","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.NumericValue.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.NumericValue.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.NumericValue.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.NumericValue.t/0","type":"type"},{"doc":"The sort options.Attributes desc (type: boolean(), default: nil) - If true, sorts by descending order. dimension (type: GoogleApi.AnalyticsData.V1alpha.Model.DimensionOrderBy.t, default: nil) - Sorts results by a dimension's values. metric (type: GoogleApi.AnalyticsData.V1alpha.Model.MetricOrderBy.t, default: nil) - Sorts results by a metric's values. pivot (type: GoogleApi.AnalyticsData.V1alpha.Model.PivotOrderBy.t, default: nil) - Sorts results by a metric's values within a pivot column group.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.OrderBy.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.OrderBy","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.OrderBy.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.OrderBy.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.OrderBy.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.OrderBy.t/0","type":"type"},{"doc":"Describes the visible dimension columns and rows in the report response.Attributes fieldNames (type: list(String.t), default: nil) - Dimension names for visible columns in the report response. Including &quot;dateRange&quot; produces a date range column; for each row in the response, dimension values in the date range column will indicate the corresponding date range from the request. limit (type: String.t, default: nil) - The number of rows to return in this pivot. If unspecified, 10 rows are returned. If -1, all rows are returned. metricAggregations (type: list(String.t), default: nil) - Aggregate the metrics by dimensions in this pivot using the specified metric_aggregations. offset (type: String.t, default: nil) - The row count of the start row. The first row is counted as row 0. orderBys (type: list(GoogleApi.AnalyticsData.V1alpha.Model.OrderBy.t), default: nil) - Specifies how dimensions are ordered in the pivot. In the first Pivot, the OrderBys determine Row and PivotDimensionHeader ordering; in subsequent Pivots, the OrderBys determine only PivotDimensionHeader ordering. Dimensions specified in these OrderBys must be a subset of Pivot.field_names.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Pivot.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.Pivot","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Pivot.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.Pivot.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Pivot.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.Pivot.t/0","type":"type"},{"doc":"Summarizes dimension values from a row for this pivot.Attributes dimensionValues (type: list(GoogleApi.AnalyticsData.V1alpha.Model.DimensionValue.t), default: nil) - Values of multiple dimensions in a pivot.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotDimensionHeader.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotDimensionHeader","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotDimensionHeader.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotDimensionHeader.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotDimensionHeader.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotDimensionHeader.t/0","type":"type"},{"doc":"Dimensions' values in a single pivot.Attributes pivotDimensionHeaders (type: list(GoogleApi.AnalyticsData.V1alpha.Model.PivotDimensionHeader.t), default: nil) - The size is the same as the cardinality of the corresponding dimension combinations. rowCount (type: integer(), default: nil) - The cardinality of the pivot as if offset = 0 and limit = -1. The total number of rows for this pivot's fields regardless of how the parameters offset and limit are specified in the request.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotHeader.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotHeader","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotHeader.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotHeader.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotHeader.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotHeader.t/0","type":"type"},{"doc":"Sorts by a pivot column group.Attributes metricName (type: String.t, default: nil) - In the response to order by, order rows by this column. Must be a metric name from the request. pivotSelections (type: list(GoogleApi.AnalyticsData.V1alpha.Model.PivotSelection.t), default: nil) - Used to select a dimension name and value pivot. If multiple pivot selections are given, the sort occurs on rows where all pivot selection dimension name and value pairs match the row's dimension name and value pair.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotOrderBy.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotOrderBy","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotOrderBy.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotOrderBy.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotOrderBy.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotOrderBy.t/0","type":"type"},{"doc":"A pair of dimension names and values. Rows with this dimension pivot pair are ordered by the metric's value. For example if pivots = {{&quot;browser&quot;, &quot;Chrome&quot;}} and metric_name = &quot;Sessions&quot;, then the rows will be sorted based on Sessions in Chrome. ---------|----------|----------------|----------|---------------- | Chrome | Chrome | Safari | Safari ---------|----------|----------------|----------|---------------- Country | Sessions | Pages/Sessions | Sessions | Pages/Sessions ---------|----------|----------------|----------|---------------- US | 2 | 2 | 3 | 1 ---------|----------|----------------|----------|---------------- Canada | 3 | 1 | 4 | 1 ---------|----------|----------------|----------|----------------Attributes dimensionName (type: String.t, default: nil) - Must be a dimension name from the request. dimensionValue (type: String.t, default: nil) - Order by only when the named dimension is this value.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotSelection.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotSelection","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotSelection.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotSelection.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotSelection.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotSelection.t/0","type":"type"},{"doc":"Current state of all quotas for this Analytics Property. If any quota for a property is exhausted, all requests to that property will return Resource Exhausted errors.Attributes concurrentRequests (type: GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus.t, default: nil) - Standard Analytics Properties can send up to 10 concurrent requests; Analytics 360 Properties can use up to 50 concurrent requests. serverErrorsPerProjectPerHour (type: GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus.t, default: nil) - Standard Analytics Properties and cloud project pairs can have up to 10 server errors per hour; Analytics 360 Properties and cloud project pairs can have up to 50 server errors per hour. tokensPerDay (type: GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus.t, default: nil) - Standard Analytics Properties can use up to 25,000 tokens per day; Analytics 360 Properties can use 250,000 tokens per day. Most requests consume fewer than 10 tokens. tokensPerHour (type: GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus.t, default: nil) - Standard Analytics Properties can use up to 5,000 tokens per day; Analytics 360 Properties can use 50,000 tokens per day. An API request consumes a single number of tokens, and that number is deducted from both the hourly and daily quotas.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PropertyQuota.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.PropertyQuota","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PropertyQuota.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.PropertyQuota.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PropertyQuota.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.PropertyQuota.t/0","type":"type"},{"doc":"Current state for a particular quota group.Attributes consumed (type: integer(), default: nil) - Quota consumed by this request. remaining (type: integer(), default: nil) - Quota remaining after this request.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus.t/0","type":"type"},{"doc":"Response's metadata carrying additional information about the report content.Attributes dataLossFromOtherRow (type: boolean(), default: nil) - If true, indicates some buckets of dimension combinations are rolled into &quot;(other)&quot; row. This can happen for high cardinality reports.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.ResponseMetaData.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.ResponseMetaData","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.ResponseMetaData.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.ResponseMetaData.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.ResponseMetaData.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.ResponseMetaData.t/0","type":"type"},{"doc":"Report data for each row. For example if RunReportRequest contains: none &quot;dimensions&quot;: [ { &quot;name&quot;: &quot;eventName&quot; }, { &quot;name&quot;: &quot;countryId&quot; } ], &quot;metrics&quot;: [ { &quot;name&quot;: &quot;eventCount&quot; } ] One row with 'in_app_purchase' as the eventName, 'JP' as the countryId, and 15 as the eventCount, would be: none &quot;dimensionValues&quot;: [ { &quot;value&quot;: &quot;in_app_purchase&quot; }, { &quot;value&quot;: &quot;JP&quot; } ], &quot;metricValues&quot;: [ { &quot;value&quot;: &quot;15&quot; } ]Attributes dimensionValues (type: list(GoogleApi.AnalyticsData.V1alpha.Model.DimensionValue.t), default: nil) - List of requested dimension values. In a PivotReport, dimension_values are only listed for dimensions included in a pivot. metricValues (type: list(GoogleApi.AnalyticsData.V1alpha.Model.MetricValue.t), default: nil) - List of requested visible metric values.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Row.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.Row","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Row.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.Row.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Row.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.Row.t/0","type":"type"},{"doc":"The request to generate a pivot report.Attributes cohortSpec (type: GoogleApi.AnalyticsData.V1alpha.Model.CohortSpec.t, default: nil) - Cohort group associated with this request. If there is a cohort group in the request the 'cohort' dimension must be present. currencyCode (type: String.t, default: nil) - A currency code in ISO4217 format, such as &quot;AED&quot;, &quot;USD&quot;, &quot;JPY&quot;. If the field is empty, the report uses the entity's default currency. dateRanges (type: list(GoogleApi.AnalyticsData.V1alpha.Model.DateRange.t), default: nil) - The date range to retrieve event data for the report. If multiple date ranges are specified, event data from each date range is used in the report. A special dimension with field name &quot;dateRange&quot; can be included in a Pivot's field names; if included, the report compares between date ranges. In a cohort request, this dateRanges must be unspecified. dimensionFilter (type: GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.t, default: nil) - The filter clause of dimensions. Dimensions must be requested to be used in this filter. Metrics cannot be used in this filter. dimensions (type: list(GoogleApi.AnalyticsData.V1alpha.Model.Dimension.t), default: nil) - The dimensions requested. All defined dimensions must be used by one of the following: dimension_expression, dimension_filter, pivots, order_bys. entity (type: GoogleApi.AnalyticsData.V1alpha.Model.Entity.t, default: nil) - A property whose events are tracked. Within a batch request, this entity should either be unspecified or consistent with the batch-level entity. keepEmptyRows (type: boolean(), default: nil) - If false or unspecified, each row with all metrics equal to 0 will not be returned. If true, these rows will be returned if they are not separately removed by a filter. metricFilter (type: GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.t, default: nil) - The filter clause of metrics. Applied at post aggregation phase, similar to SQL having-clause. Metrics must be requested to be used in this filter. Dimensions cannot be used in this filter. metrics (type: list(GoogleApi.AnalyticsData.V1alpha.Model.Metric.t), default: nil) - The metrics requested, at least one metric needs to be specified. All defined metrics must be used by one of the following: metric_expression, metric_filter, order_bys. pivots (type: list(GoogleApi.AnalyticsData.V1alpha.Model.Pivot.t), default: nil) - Describes the visual format of the report's dimensions in columns or rows. The union of the fieldNames (dimension names) in all pivots must be a subset of dimension names defined in Dimensions. No two pivots can share a dimension. A dimension is only visible if it appears in a pivot. returnPropertyQuota (type: boolean(), default: nil) - Toggles whether to return the current state of this Analytics Property's quota. Quota is returned in PropertyQuota.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportRequest.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportRequest.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportRequest.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportRequest.t/0","type":"type"},{"doc":"The response pivot report table corresponding to a pivot request.Attributes aggregates (type: list(GoogleApi.AnalyticsData.V1alpha.Model.Row.t), default: nil) - Aggregation of metric values. Can be totals, minimums, or maximums. The returned aggregations are controlled by the metricaggregations in the pivot. The type of aggregation returned in each row is shown by the dimension_values which are set to &quot;RESERVED&quot;. dimensionHeaders (type: list(GoogleApi.AnalyticsData.V1alpha.Model.DimensionHeader.t), default: nil) - Describes dimension columns. The number of DimensionHeaders and ordering of DimensionHeaders matches the dimensions present in rows. metadata (type: GoogleApi.AnalyticsData.V1alpha.Model.ResponseMetaData.t, default: nil) - Metadata for the report. metricHeaders (type: list(GoogleApi.AnalyticsData.V1alpha.Model.MetricHeader.t), default: nil) - Describes metric columns. The number of MetricHeaders and ordering of MetricHeaders matches the metrics present in rows. pivotHeaders (type: list(GoogleApi.AnalyticsData.V1alpha.Model.PivotHeader.t), default: nil) - Summarizes the columns and rows created by a pivot. Each pivot in the request produces one header in the response. If we have a request like this: &quot;pivots&quot;: [{ &quot;fieldNames&quot;: [&quot;country&quot;, &quot;city&quot;] }, { &quot;fieldNames&quot;: &quot;eventName&quot; }] We will have the following pivotHeaders in the response: &quot;pivotHeaders&quot; : [{ &quot;dimensionHeaders&quot;: [{ &quot;dimensionValues&quot;: [ { &quot;value&quot;: &quot;United Kingdom&quot; }, { &quot;value&quot;: &quot;London&quot; } ] }, { &quot;dimensionValues&quot;: [ { &quot;value&quot;: &quot;Japan&quot; }, { &quot;value&quot;: &quot;Osaka&quot; } ] }] }, { &quot;dimensionHeaders&quot;: [{ &quot;dimensionValues&quot;: [{ &quot;value&quot;: &quot;session_start&quot; }] }, { &quot;dimensionValues&quot;: [{ &quot;value&quot;: &quot;scroll&quot; }] }] }] propertyQuota (type: GoogleApi.AnalyticsData.V1alpha.Model.PropertyQuota.t, default: nil) - This Analytics Property's quota state including this request. rows (type: list(GoogleApi.AnalyticsData.V1alpha.Model.Row.t), default: nil) - Rows of dimension value combinations and metric values in the report.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportResponse.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportResponse.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportResponse.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportResponse.t/0","type":"type"},{"doc":"The request to generate a realtime report.Attributes dimensionFilter (type: GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.t, default: nil) - The filter clause of dimensions. Dimensions must be requested to be used in this filter. Metrics cannot be used in this filter. dimensions (type: list(GoogleApi.AnalyticsData.V1alpha.Model.Dimension.t), default: nil) - The dimensions requested and displayed. limit (type: String.t, default: nil) - The number of rows to return. If unspecified, 10 rows are returned. If -1, all rows are returned. metricAggregations (type: list(String.t), default: nil) - Aggregation of metrics. Aggregated metric values will be shown in rows where the dimensionvalues are set to &quot;RESERVED(MetricAggregation)&quot;. metricFilter (type: GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.t, default: nil) - The filter clause of metrics. Applied at post aggregation phase, similar to SQL having-clause. Metrics must be requested to be used in this filter. Dimensions cannot be used in this filter. metrics (type: list(GoogleApi.AnalyticsData.V1alpha.Model.Metric.t), default: nil) - The metrics requested and displayed. orderBys (type: list(GoogleApi.AnalyticsData.V1alpha.Model.OrderBy.t), default: nil) - Specifies how rows are ordered in the response. returnPropertyQuota (type: boolean(), default: nil) - Toggles whether to return the current state of this Analytics Property's Realtime quota. Quota is returned in PropertyQuota.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportRequest.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportRequest.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportRequest.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportRequest.t/0","type":"type"},{"doc":"The response realtime report table corresponding to a request.Attributes dimensionHeaders (type: list(GoogleApi.AnalyticsData.V1alpha.Model.DimensionHeader.t), default: nil) - Describes dimension columns. The number of DimensionHeaders and ordering of DimensionHeaders matches the dimensions present in rows. maximums (type: list(GoogleApi.AnalyticsData.V1alpha.Model.Row.t), default: nil) - If requested, the maximum values of metrics. metricHeaders (type: list(GoogleApi.AnalyticsData.V1alpha.Model.MetricHeader.t), default: nil) - Describes metric columns. The number of MetricHeaders and ordering of MetricHeaders matches the metrics present in rows. minimums (type: list(GoogleApi.AnalyticsData.V1alpha.Model.Row.t), default: nil) - If requested, the minimum values of metrics. propertyQuota (type: GoogleApi.AnalyticsData.V1alpha.Model.PropertyQuota.t, default: nil) - This Analytics Property's Realtime quota state including this request. rowCount (type: integer(), default: nil) - The total number of rows in the query result, regardless of the number of rows returned in the response. For example if a query returns 175 rows and includes limit = 50 in the API request, the response will contain row_count = 175 but only 50 rows. rows (type: list(GoogleApi.AnalyticsData.V1alpha.Model.Row.t), default: nil) - Rows of dimension value combinations and metric values in the report. totals (type: list(GoogleApi.AnalyticsData.V1alpha.Model.Row.t), default: nil) - If requested, the totaled values of metrics.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportResponse.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportResponse.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportResponse.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportResponse.t/0","type":"type"},{"doc":"The request to generate a report.Attributes cohortSpec (type: GoogleApi.AnalyticsData.V1alpha.Model.CohortSpec.t, default: nil) - Cohort group associated with this request. If there is a cohort group in the request the 'cohort' dimension must be present. currencyCode (type: String.t, default: nil) - A currency code in ISO4217 format, such as &quot;AED&quot;, &quot;USD&quot;, &quot;JPY&quot;. If the field is empty, the report uses the entity's default currency. dateRanges (type: list(GoogleApi.AnalyticsData.V1alpha.Model.DateRange.t), default: nil) - Date ranges of data to read. If multiple date ranges are requested, each response row will contain a zero based date range index. If two date ranges overlap, the event data for the overlapping days is included in the response rows for both date ranges. In a cohort request, this dateRanges must be unspecified. dimensionFilter (type: GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.t, default: nil) - The filter clause of dimensions. Dimensions must be requested to be used in this filter. Metrics cannot be used in this filter. dimensions (type: list(GoogleApi.AnalyticsData.V1alpha.Model.Dimension.t), default: nil) - The dimensions requested and displayed. entity (type: GoogleApi.AnalyticsData.V1alpha.Model.Entity.t, default: nil) - A property whose events are tracked. Within a batch request, this entity should either be unspecified or consistent with the batch-level entity. keepEmptyRows (type: boolean(), default: nil) - If false or unspecified, each row with all metrics equal to 0 will not be returned. If true, these rows will be returned if they are not separately removed by a filter. limit (type: String.t, default: nil) - The number of rows to return. If unspecified, 10 rows are returned. If -1, all rows are returned. metricAggregations (type: list(String.t), default: nil) - Aggregation of metrics. Aggregated metric values will be shown in rows where the dimensionvalues are set to &quot;RESERVED(MetricAggregation)&quot;. metricFilter (type: GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.t, default: nil) - The filter clause of metrics. Applied at post aggregation phase, similar to SQL having-clause. Metrics must be requested to be used in this filter. Dimensions cannot be used in this filter. metrics (type: list(GoogleApi.AnalyticsData.V1alpha.Model.Metric.t), default: nil) - The metrics requested and displayed. offset (type: String.t, default: nil) - The row count of the start row. The first row is counted as row 0. orderBys (type: list(GoogleApi.AnalyticsData.V1alpha.Model.OrderBy.t), default: nil) - Specifies how rows are ordered in the response. returnPropertyQuota (type: boolean(), default: nil) - Toggles whether to return the current state of this Analytics Property's quota. Quota is returned in PropertyQuota.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportRequest.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportRequest.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportRequest.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportRequest.t/0","type":"type"},{"doc":"The response report table corresponding to a request.Attributes dimensionHeaders (type: list(GoogleApi.AnalyticsData.V1alpha.Model.DimensionHeader.t), default: nil) - Describes dimension columns. The number of DimensionHeaders and ordering of DimensionHeaders matches the dimensions present in rows. maximums (type: list(GoogleApi.AnalyticsData.V1alpha.Model.Row.t), default: nil) - If requested, the maximum values of metrics. metadata (type: GoogleApi.AnalyticsData.V1alpha.Model.ResponseMetaData.t, default: nil) - Metadata for the report. metricHeaders (type: list(GoogleApi.AnalyticsData.V1alpha.Model.MetricHeader.t), default: nil) - Describes metric columns. The number of MetricHeaders and ordering of MetricHeaders matches the metrics present in rows. minimums (type: list(GoogleApi.AnalyticsData.V1alpha.Model.Row.t), default: nil) - If requested, the minimum values of metrics. propertyQuota (type: GoogleApi.AnalyticsData.V1alpha.Model.PropertyQuota.t, default: nil) - This Analytics Property's quota state including this request. rowCount (type: integer(), default: nil) - The total number of rows in the query result, regardless of the number of rows returned in the response. For example if a query returns 175 rows and includes limit = 50 in the API request, the response will contain row_count = 175 but only 50 rows. rows (type: list(GoogleApi.AnalyticsData.V1alpha.Model.Row.t), default: nil) - Rows of dimension value combinations and metric values in the report. totals (type: list(GoogleApi.AnalyticsData.V1alpha.Model.Row.t), default: nil) - If requested, the totaled values of metrics.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportResponse.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportResponse.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportResponse.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportResponse.t/0","type":"type"},{"doc":"The filter for stringAttributes caseSensitive (type: boolean(), default: nil) - If true, the string value is case sensitive. matchType (type: String.t, default: nil) - The match type for this filter. value (type: String.t, default: nil) - The string value used for the matching.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.StringFilter.html","title":"GoogleApi.AnalyticsData.V1alpha.Model.StringFilter","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.StringFilter.html#decode/2","title":"GoogleApi.AnalyticsData.V1alpha.Model.StringFilter.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.StringFilter.html#t:t/0","title":"GoogleApi.AnalyticsData.V1alpha.Model.StringFilter.t/0","type":"type"}]